#!/usr/bin/env python3
#-*- coding: utf-8 -*-
# Copyright (c) 2000-2016 Synology Inc. All rights reserved.

from os import environ
from importlib import util

spec = util.spec_from_file_location('common', '/var/packages/Chat/target/bin/sdk_plugin/common.py')
common = util.module_from_spec(spec)
spec.loader.exec_module(common)

class UserDel(common.Runner):
	def __init__ (self):
		common.Runner.__init__(self)

	# @override
	def post (self):
		items = int(environ.get('NITEMS'))

		uids = []
		for i in range(1, items + 1):
			uids.append(environ.get('UID_' + str(i)))

		if len(uids) > 0:
			common.callChatHook('user_delete', {
				'uids': uids
			})

common.Main(UserDel())
