#!/bin/bash

case $1 in
	"ExecStartPre")
		mkdir -p /run/synochat
		chown Chat:Chat /run/synochat
		/bin/rm -f /run/synochat/.s.PGSQL.6432

		touch /var/log/synochat-pgbouncer.log
		chown Chat:Chat /var/log/synochat-pgbouncer.log

		CPU_COUNT=$(( $(/usr/bin/nproc --all) * 2 ))
		MAX_DB_CONNECTIONS=$( expr $(get_key_value /etc/postgresql/postgresql.conf max_connections) / 5 )
		MAX_DB_CONNECTIONS=$(( $MAX_DB_CONNECTIONS > $CPU_COUNT ? $CPU_COUNT : $MAX_DB_CONNECTIONS ))
		sed -i "s/__MAX_DB_CONNECTIONS__/$MAX_DB_CONNECTIONS/" /var/packages/Chat/target/etc/pgbouncer.ini
		;;
	*)
		echo "Wrong Action"
		exit 1
		;;
esac
